package com.template.services;

import com.template.model.pojo.ActivitySignin;
import com.template.model.pojo.ActivitySignin;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.vo.UserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-27
 */
public interface ActivitySigninService extends IService<ActivitySignin> {
    int insertActivitySignin(ActivitySignin au);

    int updateActivitySignin(ActivitySignin au);

    ActivitySignin queryDataById(Integer id);

    int deleteDataById(Integer id);

    List<UserVo> querySigninDatasByActivityId(@Param("activityId") Integer activityId);
}
